#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    long x1, x2, y1, y2;
    cin >> x1 >> y1 >> x2 >> y2;
    if (labs(x2-x1)==labs(y2-y1)) cout<<"1";
    else if (y1==y2 || x1==x2) cout<<"2";
    else cout<<"0";
    return 0;
}